import { useRef } from 'react';

var useSuspense = function (suspended) {
    var promise = useRef();
    if (suspended && !promise.current) {
        throw new Promise(function (resolve) {
            promise.current = { resolve: resolve };
        });
    }
    if (!suspended && promise.current) {
        promise.current.resolve();
    }
};

export default useSuspense;
export { useSuspense };
//# sourceMappingURL=index.es.js.map
