'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

var useSuspense = function (suspended) {
    var promise = React.useRef();
    if (suspended && !promise.current) {
        throw new Promise(function (resolve) {
            promise.current = { resolve: resolve };
        });
    }
    if (!suspended && promise.current) {
        promise.current.resolve();
    }
};

exports.default = useSuspense;
exports.useSuspense = useSuspense;
//# sourceMappingURL=index.js.map
